
/**
 * Testet unsere Mhlen.
 */
public class Main {

	public static void main(String[] args) {
		IMuehle[] meineMuehlen = new IMuehle[4];
		meineMuehlen[0] = new WindMuehle("WindMhle A");
		meineMuehlen[1] = new WindMuehle("WindMhle B");
		meineMuehlen[2] = new StromMuehle("StromMhle");
		meineMuehlen[3] = new WasserMuehle("WasserMhle");
		
		for(int i=0; i<10; i++){
			// 10x wird Korn an zufllig gewhlte Mhlen geliefert.
			meineMuehlen[(int) (4*Math.random())].anliefern(new Korn());
		}
		
		// alle Mhlen mahlen lassen
		try{
			for(int i=0; i<4; i++) meineMuehlen[i].mahlen();
		}catch(MahlException e){
			// irgendetwas sinnvolles tun
		};
		
		// Lager von allen Mhlen leeren
		MehlSack sack;
		for(int i=0; i<4; i++)
			while ((sack = meineMuehlen[i].abholen()) != null);
	}
}
