/* Diese Klasse beinhaltet eine Id, wie wir sie schon mehrfach
 * gesehen haben.
 */
public class Id {
	private static int newUniqueId=0;
	
	private int myId;
	
	/**
	 * Erstellt ein neues Objekt vom Typ Id mit 
	 * einer eindeutigen Id.
	 */
	public Id(){
		myId = newUniqueId++;
	}
	
	/**
	 * Gibt die Id zurck.
	 * @return die Id
	 */
	public int getId(){
		return myId;
	}
}
